Reset the specified card’s PIN. The random pin will be sent to the card bearer’s cell via text message.
Request Path Parameters
| Parameter | type | Limits | required | Description |
|---|---|---|---|---|
| terminalID | String | 10 characters | ✓ | The Paymentology issued terminal id of the terminal requesting the transaction |
| reference | String | 1-255 characters | ✓ | The user defined reference to the card; for example a member id or wallet number |
| cardIdentifier | String | 1-20 characters | ✓ | The card number, sequence number or tracking number of the specified card. Field is required if the customer has more than one card linked to their wallet |
| transactionID | String | 1-255 characters | ✓ | A unique identifier generated by the client, which must not be duplicated over time. |
| transactionDate | String | ✓ | Client generated / local Transaction Date to assist in identifying transactions on the client side | |
| checksum | String | ✓ | HMAC-SHA256 hashed signature of the concatenated method name with all argument values using the terminal password as private key |
<methodCall>
<methodName>ResetPin</methodName>
<params>
<param>
<value>
<string>4024236470</string>
</value>
</param>
<param>
<value>
<string>15178247</string>
</value>
</param>
<param>
<value>
<string>5267237340995161</string>
</value>
</param>
<param>
<value>
<string>7311521</string>
</value>
</param>
<param>
<value>
<dateTime.iso8601>20170314T11:25:36</dateTime.iso8601>
</value>
</param>
<param>
<value>
<string>3B2B7F427DEA7CD481872DD3D221DA8989ABCA25</string>
</value>
</param>
</params>
</methodCall>Response Parameters
| Field | type | Description |
|---|---|---|
| resultCode | Integer | Status code indicating transaction result |
| resultText | String | Text indicating transaction result |
<?xml version="1.0" encoding="UTF-8"?>
<methodResponse>
<params>
<param>
<value>
<struct>
<member>
<name>resultCode</name>
<value>
<int>1</int>
</value>
</member>
<member>
<name>resultText</name>
<value>
<string>Approved</string>
</value>
</member>
</struct>
</value>
</param>
</params>
</methodResponse>